Imagick::thresholdImage
Imagick::tintImage
The Imagick class
PHP Manual

# Imagick::thumbnailImage

(No version information available, might be only in CVS)

Imagick::thumbnailImage — Changes the size of an image

### Description

bool Imagick::thumbnailImage ( int `$columns` , int `$rows` [, bool `$fit` ] )
Warning

This function is currently not documented; only its argument list is available.

Changes the size of an image to the given dimensions and removes any associated profiles. The goal is to produce small low cost thumbnail images suited for display on the Web. If `TRUE` is given as a third parameter then columns and rows parameters are used as maximums for each side. Both sides will be scaled down until the match or are smaller than the parameter given for the side.

### Parameters

`columns`

  Image width

`rows`

  Image height

`fit`

  Whether to force maximum values

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::thresholdImage
Imagick::tintImage
The Imagick class
PHP Manual